<?php
/*
 * Copyright (c) 2018-2021 Atipay, (https://www.atipay.net)

 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 * */

 ?>
<div class="button">
    <div class="pull-right">
        <input type="submit" value="<?php echo $text_btn_button?>" class="btn-primary btn" id="atipay-payment-button">
        <div class="text-danger" id="atipay-payment-error"></div>
    </div>
</div>

<form name="atipay-payment-form" id="atipay-payment-form" method="POST" action="<?php echo $atipay_redirect_url; ?>">
<input type="hidden" value="" name="token">
</form>

<script type="text/javascript">

    $('#atipay-payment-button').bind('click', function() {
       $.ajax({
        type: 'GET',
            url: 'index.php?route=payment/atipay/token',
            dataType: 'json',
            beforeSend: function() {
             $('#atipay-payment-button').attr('disabled', true);
             $('#atipay-payment-button').attr('value', '<?php echo $text_loading?>');
             $('#atipay-payment-error').html('');
        },

        error:function(){
            $('#atipay-payment-error').html('خطا در پرداخت');
            $('#atipay-payment-button').attr('disabled', false);
            $('#atipay-payment-button').attr('value', '<?php echo $text_btn_button?>');
        },

        success: function(json) {
            if (json['success'] == true){
                $('input[name="token"]').val(json['token']);
                $('#atipay-payment-form').submit();
            }else{
                if (json['errorMessage']){
                    $('#atipay-payment-error').html(json['errorMessage']);
                }else{
                    $('#atipay-payment-error').html('خطا در پرداخت');
                }

                $('#atipay-payment-button').attr('disabled', false);
                $('#atipay-payment-button').attr('value', '<?php echo $text_btn_button?>');
            }
        }
       });
    });
</script>